Bug 633089 - Review Request: rubygem-fakeweb - A tool for faking responses to HTTP requests
Summary: Review Request: rubygem-fakeweb - A tool for faking responses to HTTP requests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-12 19:55 UTC by Michael Stahnke
Modified: 2010-10-08 20:39 UTC (History)
3 users (show)

Fixed In Version: rubygem-fakeweb-1.3.0-3.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-28 05:48:14 UTC
Type: ---
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Michael Stahnke 2010-09-12 19:55:21 UTC
Spec URL: http://stahnma.fedorapeople.org/reviews/rubygem-fakeweb.spec
SRPM URL: http://stahnma.fedorapeople.org/reviews/rubygem-fakeweb-1.3.0-1.fc15.src.rpm
Description: 
FakeWeb is a helper for faking web requests in Ruby. It works at a global
level, without modifying code or writing extensive stubs.

Comment 1 Mamoru TASAKA 2010-09-13 16:27:01 UTC
Would you try to remove vendorized modules included in
test/ directory?

Comment 2 Michael Stahnke 2010-09-13 17:22:54 UTC
Sure.  I was going to ask on list how we handle things in vendor.  Is there something in the package guidelines already for that?

Comment 3 Mamoru TASAKA 2010-09-13 17:42:57 UTC
Well, as shown in "general" packaging guidelines:

https://fedoraproject.org/wiki/Packaging/Guidelines#Bundling_of_multiple_projects

we should seperate bundled other softwares from sources.
Also see bug 470696 : Currently rubygem-passenger ships bundled boost and
unless we remove this rubygem-passenger cannot be in Fedora.

Now I am listing rubygem based rpms on Fedora which ships vendorlized
external gem, will post on ruby-sig.

Comment 4 Michael Stahnke 2010-09-13 21:58:01 UTC
Well, passenger ships a C lib, which may be different, but in general shoving it in vendor or use bundler are not solutions I like.  

For this revisions I have added  
BuildRequires(check): rubygem(right_http_connection)

and patched out the two tests that require samuel.  I may try to package up samuel eventually, but I have a LOT of packages I am already working on.


New SRPM: http://stahnma.fedorapeople.org/reviews/rubygem-fakeweb-1.3.0-2.fc15.src.rpm

Comment 5 Mamoru TASAKA 2010-09-16 21:41:43 UTC
Sorry, I have not checked your last srpm yet, however I will
surely review this.

Comment 6 Mamoru TASAKA 2010-09-17 16:26:50 UTC
Now for 1.3.0-2:

* (Build)Requires
  - Writing >= 0.9.5 for rubygem(mocha) dependency is not needed because
    rubygem-mocha on currently supported Fedora/EPEL branches all satisfies
    this dependency:
    https://fedoraproject.org/wiki/Packaging/Guidelines#Explicit_Requires

  - "R: rubygem(mocha)" is not needed because this is for
    add_development_dependency in installed gemspec file and is not needed
    on runtime.

* %_geminstdir/*gemspec
  - Would you check if this is really needed? (Note that gemspec file
    is also installed under %gemdir/specifications/)

Comment 7 Michael Stahnke 2010-09-17 18:03:18 UTC
Removed the BR versioning.  

Remove mocha as a runtime require.

Removed gemspec. 

http://stahnma.fedorapeople.org/reviews/rubygem-fakeweb-1.3.0-3.fc15.src.rpm

Comment 8 Mamoru TASAKA 2010-09-17 20:57:23 UTC
Okay.

-----------------------------------------------------------
     This package (rubygem-fakeweb) is APPROVED by mtasaka
-----------------------------------------------------------

Comment 9 Michael Stahnke 2010-09-17 21:26:23 UTC
New Package SCM Request
=======================
Package Name: rubygem-fakeweb
Short Description: A tool for faking responses to HTTP 
Owners: stahnma
Branches: F13 F14 EL5 EL6 
InitialCC:

Comment 10 Kevin Fenzi 2010-09-19 19:26:01 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2010-09-20 00:11:16 UTC
rubygem-fakeweb-1.3.0-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-fakeweb-1.3.0-3.fc14

Comment 12 Fedora Update System 2010-09-20 00:11:21 UTC
rubygem-fakeweb-1.3.0-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-fakeweb-1.3.0-3.fc13

Comment 13 Fedora Update System 2010-09-20 18:41:15 UTC
rubygem-fakeweb-1.3.0-3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-fakeweb'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rubygem-fakeweb-1.3.0-3.fc14

Comment 14 Fedora Update System 2010-09-28 05:48:10 UTC
rubygem-fakeweb-1.3.0-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-10-08 20:38:56 UTC
rubygem-fakeweb-1.3.0-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.